/* This demo shows the different types of sliders

   Written by Mark Overmars

   Date 29 Apr 1991
*/

#include "forms.h"


FL_FORM *form;

FL_OBJECT
        *exitobj;

void create_form_form()
{
  FL_OBJECT *obj;
  form = fl_bgn_form(FL_NO_BOX,780.0,320.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,780.0,320.0,"");
    fl_set_object_color(obj,10,47);
  obj = fl_add_box(FL_SHADOW_BOX,20.0,20.0,360.0,270.0,"SLIDER");
    fl_set_object_color(obj,12,47);
    fl_set_object_align(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_SHADOW_BOX,390.0,20.0,370.0,270.0,"VALSLIDER");
    fl_set_object_color(obj,12,47);
    fl_set_object_align(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_slider(FL_VERT_SLIDER,30.0,50.0,40.0,220.0,"vert");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_slider(FL_VERT_FILL_SLIDER,80.0,50.0,40.0,220.0,"vert_fill");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_slider(FL_HOR_SLIDER,180.0,230.0,190.0,40.0,"hor");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_slider(FL_HOR_FILL_SLIDER,180.0,170.0,190.0,40.0,"hor_fill");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_VERT_NICE_SLIDER,610.0,50.0,30.0,220.0,"vert_nice");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,12,9);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_VERT_FILL_SLIDER,660.0,50.0,40.0,220.0,"vert_fill");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_HOR_SLIDER,400.0,230.0,190.0,40.0,"hor");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_HOR_FILL_SLIDER,400.0,170.0,190.0,40.0,"hor_fill");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  exitobj = obj = fl_add_button(FL_NORMAL_BUTTON,450.0,50.0,100.0,30.0,"Exit");
    fl_set_object_color(obj,9,1);
  obj = fl_add_slider(FL_VERT_NICE_SLIDER,130.0,50.0,30.0,220.0,"vert_nice");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,12,9);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_slider(FL_HOR_NICE_SLIDER,180.0,120.0,190.0,30.0,"hor_nice");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,12,9);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_HOR_NICE_SLIDER,400.0,120.0,190.0,30.0,"hor_nice");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,12,9);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  obj = fl_add_valslider(FL_VERT_SLIDER,710.0,50.0,40.0,220.0,"vert");
    fl_set_object_color(obj,9,10);
    fl_set_object_lsize(obj,FL_SMALL_FONT);
  fl_end_form();
}

/*---------------------------------------*/

void create_the_forms()
{
  create_form_form();
}

/*---------------------------------*/

main()
{
  FL_OBJECT *obj;

  fl_init();
  create_the_forms();

  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do obj = fl_do_forms(); while (obj != exitobj);
  fl_hide_form(form);
}

