/** Demo, showing ther different fonts in the different sizes. **/

#include <stdio.h>
#include <fmclient.h>

#include "forms.h"

FL_FORM *form;

FL_OBJECT
        *textobj,
        *styleobj,
        *sizeobj;

void exit_cb(FL_OBJECT *obj, long arg)
  { exit(0); }

void style_cb(FL_OBJECT *obj, long arg)
{
  fl_set_font_name(31,fl_get_browser_line(obj,fl_get_browser(obj)));
  fl_redraw_object(textobj);
}

void size_cb(FL_OBJECT *obj, long arg)
{
  switch (fl_get_browser(obj)) {
    case 1: fl_set_object_lsize(textobj,6.0); break;
    case 2: fl_set_object_lsize(textobj,8.0); break;
    case 3: fl_set_object_lsize(textobj,10.0); break;
    case 4: fl_set_object_lsize(textobj,11.0); break;
    case 5: fl_set_object_lsize(textobj,16.0); break;
    case 6: fl_set_object_lsize(textobj,20.0); break;
    case 7: fl_set_object_lsize(textobj,24.0); break;
    case 8: fl_set_object_lsize(textobj,32.0); break;
  }
}

void create_form_form()
{
  FL_OBJECT *obj;
  form = fl_bgn_form(FL_NO_BOX,550.0,370.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,550.0,370.0,"");
    fl_set_object_color(obj,12,47);
  textobj = obj = fl_add_box(FL_FRAME_BOX,10.0,190.0,530.0,170.0,"The quick brown\nfox jumps over\nthe lazy dog.");
    fl_set_object_color(obj,9,47);
  styleobj = obj = fl_add_browser(FL_HOLD_BROWSER,10.0,10.0,240.0,170.0,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,53,3);
    fl_set_call_back(obj,style_cb,0);
  sizeobj = obj = fl_add_browser(FL_HOLD_BROWSER,260.0,10.0,160.0,170.0,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,53,3);
    fl_set_call_back(obj,size_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,430.0,10.0,100.0,30.0,"Exit");
    fl_set_call_back(obj,exit_cb,0);
  fl_end_form();
}

void create_the_forms()
{
  create_form_form();
}

void addit(char *str)
  { fl_add_browser_line(styleobj,str); }

main()
{
  fl_init();
  create_the_forms();
  fmenumerate(addit);
  fl_select_browser_line(styleobj,1);
  fl_addto_browser(sizeobj,"6");
  fl_addto_browser(sizeobj,"8 (small)");
  fl_addto_browser(sizeobj,"10");
  fl_addto_browser(sizeobj,"11 (normal)");
  fl_addto_browser(sizeobj,"16");
  fl_addto_browser(sizeobj,"20 (large)");
  fl_addto_browser(sizeobj,"24");
  fl_addto_browser(sizeobj,"32");
  fl_select_browser_line(sizeobj,4);
  fl_set_object_lstyle(textobj,31);
  style_cb(styleobj,0);
  size_cb(sizeobj,0);
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  fl_do_forms();
}
